Subject: Re: [PATCH v3 1/3] diff: return diff_filepair from diff queue helpers

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Feb 2025 10:04:35 -0800

Justin Tobler <[email-masked]> writes:

> separate functions are implemented instead.

It would have been more assuring to explicitly say that the original
functions that discarded the newly created filepair after adding
them to the queue are reimplemented as thin wrappers, which is the
right thing to do and which is exactly what happens in this patch.

Looking good.